// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from 'vue'
import App from './App'
import router from './router'

// 导入axios 及 自定义配置
import axios from 'axios'
import axiosConfig from '../static/js/axios-config.js'

// 引入font awesome图标库
import 'font-awesome/css/font-awesome.min.css'

// 引入bootstrap
import { BootstrapVue, IconsPlugin } from 'bootstrap-vue'
import 'bootstrap/dist/css/bootstrap.css'
import 'bootstrap-vue/dist/bootstrap-vue.css'

// 引入element
import ElementUI from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css'

//  导入vueX
import store from './store'

Vue.prototype.$axios = axios
Vue.use(axiosConfig)

Vue.use(BootstrapVue)
Vue.use(IconsPlugin)

Vue.use(ElementUI)

Vue.config.productionTip = false

/* eslint-disable no-new */
new Vue({
  el: '#app',
  router,
  store,
  components: { App },
  template: '<App/>'
})
